Page MenuHomePhabricator

[OPENMP] Add Hurd support
ClosedPublic

Authored by sthibaul on Nov 3 2018, 2:10 PM.

Details

Summary

This adds Hurd support to the openmp runtime by just enabling appropriate code pieces.

Diff Detail

Repository
rL LLVM

Event Timeline

sthibaul created this revision.Nov 3 2018, 2:10 PM

Please submit the patch with full sources, so that more code around changes could be easily viewed.

sthibaul updated this revision to Diff 172749.Nov 6 2018, 6:09 AM

Here it is

krytarowski added inline comments.Nov 6 2018, 6:15 AM
runtime/src/z_Linux_util.cpp
1958 ↗(On Diff #172749)

I would update this 'Linux' in comment and make it more generic.

krytarowski added inline comments.Nov 6 2018, 6:17 AM
runtime/src/z_Linux_util.cpp
448 ↗(On Diff #172749)

I would drop this comment.

sthibaul updated this revision to Diff 172870.Nov 6 2018, 3:31 PM
krytarowski accepted this revision.Nov 6 2018, 3:35 PM
This revision is now accepted and ready to land.Nov 6 2018, 3:35 PM

(I cannot commit this myself)

Closed by commit rL346310: Add Hurd support. (authored by achurbanov, committed by ). · Explain WhyNov 7 2018, 4:30 AM
This revision was automatically updated to reflect the committed changes.